/// <reference types="react" />
import ConstructorIOClient from '@constructor-io/constructorio-client-javascript';
import { ResultsProps } from '../Results/Results';
export interface ResultsPageOptions extends ResultsProps {
    numResultsToDisplay?: number;
}
export interface IQuizProps {
    quizId: string;
    apiKey?: string;
    cioJsClient?: ConstructorIOClient;
    resultsPageOptions: ResultsPageOptions;
    quizVersionId?: string;
}
export default function CioQuiz(props: IQuizProps): JSX.Element | null;
