import { ActionAnswerQuestion, OpenTextQuestionPayload, SelectQuestionPayload } from './actions';
export type Answers = string[][];
export type QuizReducerState = {
    answers: Answers;
    answerInputs: {};
    isLastAnswer: boolean;
};
export type AnswerInputState = {
    [key: string]: OpenTextQuestionPayload | SelectQuestionPayload;
};
export declare const initialState: QuizReducerState;
export default function reducer(state: QuizReducerState, action: ActionAnswerQuestion): QuizReducerState;
