import React, { useContext } from 'react';
import QuizContext from '../CioQuiz/context';
import ResultCard from '../ResultCard/ResultCard';
function Results(props) {
    const { addToCartCallback, clickItemCallback, resultCardSalePriceKey, resultCardRegularPriceKey, } = props;
    const { resultsResponse } = useContext(QuizContext);
    return (React.createElement("div", { className: 'cio-results' }, resultsResponse?.response?.results?.map((result, index) => (React.createElement(ResultCard, { result: result, key: result.data?.id, salePriceKey: resultCardSalePriceKey, regularPriceKey: resultCardRegularPriceKey, addToCartCallback: addToCartCallback, clickItemCallback: clickItemCallback, resultPosition: index + 1 })))));
}
export default Results;
