import { useMemo } from 'react';
import { getCioClient } from '../utils';
const useCioClient = ({ apiKey, cioJsClient }) => {
    if (!apiKey && !cioJsClient) {
        console.error('Either apiKey or cioJsClient is required');
    }
    return useMemo(() => cioJsClient || getCioClient(apiKey), [apiKey, cioJsClient]);
};
export default useCioClient;
